| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celOneParameterBlock Class Reference

Parameter block implementation if only one parameter is desired. More...

`#include <celtool/stdparams.h>`

Inheritance diagram for celOneParameterBlock:

[legend]
List of all members.

## Public Member Functions
| celOneParameterBlock ()
virtual const celData * | GetParameter (csStringID id) const
| Get parameter given an id.
virtual const char * | GetParameter (size_t idx, csStringID &id, celDataType &t) const
| Get parameter with index.
celData & | GetParameter (int)
virtual const celData * | GetParameterByIndex (size_t idx) const
| Get parameter given an index.
virtual size_t | GetParameterCount () const
| Get number of parameters.
void | SetParameterDef (csStringID id, const char *parname)
virtual | ~celOneParameterBlock ()
## Public Attributes
| SCF_DECLARE_IBASE

## Detailed Description

Parameter block implementation if only one parameter is desired.

Definition at line 227 of file stdparams.h.

## Member Function Documentation

virtual const celData* celOneParameterBlock::GetParameter | ( | csStringID | id | ) | const`[inline, virtual]`

Get parameter given an id.

Implements iCelParameterBlock.

Definition at line 270 of file stdparams.h.

virtual const char* celOneParameterBlock::GetParameter | ( | size_t | idx,
|  | csStringID & | id,
|  | celDataType & | t |
| ) |  |  | const`[inline, virtual]`

Get parameter with index.

Returns the name and sets 'id' and 'type' to the appropriate values.

Implements iCelParameterBlock.

Definition at line 257 of file stdparams.h.

References celData::type.

virtual const celData* celOneParameterBlock::GetParameterByIndex | ( | size_t | idx | ) | const`[inline, virtual]`

Get parameter given an index.

Implements iCelParameterBlock.

Definition at line 275 of file stdparams.h.

virtual size_t celOneParameterBlock::GetParameterCount | ( |  | ) | const`[inline, virtual]`

Get number of parameters.

Implements iCelParameterBlock.

Definition at line 256 of file stdparams.h.

The documentation for this class was generated from the following file:

- celtool/stdparams.h